package com.ademicon.model;

import java.time.LocalDateTime;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class ContratoModel {
    private String bairroDevedor;
    private String cepDevedor;
    private String cnpjAgenteFinanceiro;
    private String codigoMunicipioDevedor;
    private String codigoMunicipioLiberacaoCredito;
    private String cpfCnpjDevedorFinanciado;
    private LocalDateTime dataAditivoContrato;
    private LocalDateTime dataContrato;
    private LocalDateTime dataLiberacaoCredito;
    private LocalDateTime dataVencimentoPrimeiraParcela;
    private LocalDateTime dataVencimentoUltimaParcela;
    private Integer dddDevedor;
    private String enderecoDevedor;
    private String indicadorComissao;
    private String indicadorPenalidade;
    private String indicadorTaxaMoraDia;
    private String indicadorTaxaMulta;
    private String nomeDevedorFinanciado;
    private String numeroAditivoContrato;
    private String numeroContrato;
    private Integer quantidadeMeses;
    private String siglaIndiceFinaceiro;
    private Integer telefoneDevedor;
    private String tipoContrato;
    private String tipoRestricao;
    private String ufDevedor;
    private String ufLiberacaoCredito;
    private String ufRegistro;
    private Double valorCredito;
    private Double valorTaxaJurosMes;
    private Double valorTotalDivida;
    private List<VeiculoModel> veiculos;
    private String clausulaPenalVrg;
    private String comentario;
    private String complementoEnderecoDevedor;
    private String descricaoPenalidade;
    private String emailDevedor;
    private String integradoras;
    private String municipioDevedor;
    private String municipioLiberacaoCredito;
    private String numeroCotaConsorcio;
    private String numeroEnderecoDevedor;
    private String numeroGrupoConsorcio;
    private Double percentualComissao;
    private String tipoVrg;
    private String username;
    private Double valorIOF;
    private Double valorParcela;
    private Double valorTaxaContrato;
    private Double valorTaxaJurosAno;
    private Double valorTaxaMoraDia;
    private Double valorTaxaMulta;
    private Double valorVrg;
}
