package com.ademicon.model.auth;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class AccessModel implements Serializable {
    
    private static final long serialVersionUID = 1L;

    @JsonProperty("PLACETI_URL_BASE")
    private String placeti_url_base;

    @JsonProperty("PLACETI_URL_TOKEN")
    private String placeti_url_token;

    @JsonProperty("PLACETI_USER_TOKEN")
    private String placeti_user_token;

    @Override
    public String toString() {

        return "{\"placeti_url_base\":\"" + this.getPlaceti_url_base() +
                ", \"placeti_url_token\":\"" + this.placeti_url_token +
                ", \"placeti_user_token\":\"" + this.placeti_user_token + "\"}";
    }
}
