package com.ademicon.model.auth;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class TokenModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonProperty("ACCESS_TOKEN")
    private String access_token;

    @JsonProperty("EXPIRES_IN")
    private LocalDateTime expires_in;

    @Override
    public String toString() {
        return "{\"access_token\": " + this.getAccess_token() + ", \"expires_in\": " + this.getExpires_in() + "}";
    }

}
