package com.ademicon.repository;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

import com.ademicon.model.ContratoResponse;
import com.ademicon.service.ConnectionService;

public class ContratoRepository {
    private static Connection conn = null;
    private static PreparedStatement statement = null;
    private static ResultSet rs = null;

    public int incluir(ContratoResponse contrato) throws Exception {
        try {
            String queryString = "UPDATE ADE_006_CONTROLE_GARANTIA SET CONTRATO_DETRAN = ? WHERE CHASSI = ?";
            conn = ConnectionService.getConnection();
            statement = conn.prepareStatement(queryString);
            statement.setString(1, contrato.getNumeroRegistroEletronico());
            statement.setString(2, contrato.getChassi());
            return statement.executeUpdate();

        } catch (Exception e) {
            throw e;

        } finally {
            try {
                if (rs != null)
                    rs.close();
            } catch (Exception e) {
            }
            try {
                if (statement != null)
                    statement.close();
            } catch (Exception e) {
            }
            try {
                if (conn != null)
                    conn.close();
            } catch (Exception e) {
            }
        }
    }
}
